# dualize_lp

Create the dual of the current model.

unsigned char dualize_lp(lprec *lp);

Return Value

Returns TRUE if succeeded.

Parameters

lp

Pointer to previously created lp model. See return value of make_lp, copy_lp, read_lp, read_LP, read_mps, read_freemps, read_MPS, read_freeMPS, read_XLI

Remarks

Example

    #include <stdio.h>
    #include <stdlib.h>
    #include "lp_lib.h"

    int main(void)
    {
      lprec *lp;

      /* Create a new LP model */
      lp = make_lp(0, 0);
      if(lp == NULL) {
        fprintf(stderr, "Unable to create new LP model\n");
        return(1);
      }

      /* Model created */

      /*
      .
      .
      .
      */

      dualize_lp(lp);

      /*
      .
      .
      .
      */

      delete_lp(lp);

      return(0);
    }

lp_solve API reference

See Also make_lp, copy_lp, delete_lp, free_lp, read_lp, read_LP, read_mps, read_freemps, read_MPS, read_freeMPS, read_XLI